#!/usr/bin/env python

"""
Common scheduling functionality.

Copyright (C) 2016 Paul Boddie <paul@boddie.org.uk>

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public License along with
this program.  If not, see <http://www.gnu.org/licenses/>.
"""

def standard_responses(handler, response):

    """
    Using 'handler' to translate descriptions, return a tuple containing the
    'response' and a suitable description.
    """

    _ = handler.get_translator()

    if response == "ACCEPTED":
        return response, _("The recipient has scheduled the requested period.")
    elif response == "COUNTER":
        return response, _("The recipient has suggested a different period.")
    elif response == "DELEGATED":
        return response, _("The recipient has delegated the requested period.")
    else:
        return response, _("The recipient is unavailable in the requested period.")

# vim: tabstop=4 expandtab shiftwidth=4
